Description

The syntax of a macro is:

{{name(argument1,option1=value1,argument2)

Some text

}}

 

A macro gets implemented using API in a plugin. But unless the macro requires some server-side calculations it should be possible

to build it runtime though...

For example, a user can define the code:

<blockquote class="twitter-tweet"><p><...></p>&mdash; <{full_name}> (@<{username}>) <a href="https

://twitter.com/twitterapi/status/<{status}>"><{date}></a></blockquote>

<script src="//platform.twitter.com/widgets.js" charset="utf-8"></script>

 

Where:

<{option}> – option by name

<[1]> – argument by number (starting from 1)

<...> – text

And then use:

{{tweet(full_name=Twitter API,username=twitterapi,status=133640144317198338,date=November 7 2011)

Search API will now always return "real" Twitter user IDs. The with_twitter_user_id parameter is n

o longer necessary. An era has ended.

}}

 

Disclaimer: This is just an example.

Associated revisions

Revision 56 - 12 Oct 2013 23:22 - Andriy Lesyuk

Custom Wiki macros (#2251)

History

#1 - 09 Oct 2013 17:14 - Andriy Lesyuk

Thinking about this icon.
https://www.iconfinder.com/icons/94899/16_macro_stock_tools_icon#size=16


#2 - 11 Oct 2013 10:40 - Andriy Lesyuk

- Assignee set to Andriy Lesyuk

- Target version set to 1.0.0b

- % Done changed from 0 to 70

- External issue set to #2854, #5171

#3 - 12 Oct 2013 23:23 - Andriy Lesyuk

- Due date set to 12 Oct 2013

- Status changed from Open to Closed

- % Done changed from 70 to 100
